import Vue from 'vue'
import Vuex from 'vuex'

import app from './app'

import date from '@/store/modules/date'
import user from '@/store/modules/user'
import currency from '@/store/modules/currency'
import journal from '@/store/modules/journal'
import supplier from '@/store/modules/supplier'
import product from '@/store/modules/product'
import cart from '@/store/modules/cart'
import picking from '@/store/modules/picking'
import payment from '@/store/modules/payment'

Vue.use(Vuex)

const store = new Vuex.Store({
    ...app,
    strict: false,
    modules: {
        date,
        user,
        currency,
        journal,
        supplier,
        product,
        cart,
        picking,
        payment
    }
})

export default store