const state = {
    pickingTypes: [],
    loadingPickingTypes: true
}

const getters = {
    /**
     * 
     * @param {*} state 
     */
    pickingTypes(state) {
        return state.pickingTypes
    },
    /**
     * 
     * @param {*} state 
     */
    loadingPickingTypes(state) {
        return state.loadingPickingTypes
    }
}

const mutations = {
    /**
     * 
     * @param {*} state 
     * @param {*} payload 
     */
    setPickingTypes(state, payload) {
        state.pickingTypes = [...payload]
    },
    /**
     * 
     * @param {*} state 
     * @param {*} payload 
     */
    setLoadingPickingTypes(state, payload) {
        state.loadingPickingTypes = !!payload
    }
}

const actions = {
    /**
     * 
     * @param {*} param0 
     */
    initPickingTypes({ commit }, payload) {
        commit('setPickingTypes', payload)
        commit('setLoadingPickingTypes', false)
    },
   /**
    * 
    * @param {*} param0 
    * @param {*} payload 
    */
    resetPicking({ commit }, payload) {
        commit('setLoadingPickingTypes', true)
        commit('setPickingTypes', [])
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}